package com.xhkjedu.slive.service.xz;

import com.xhkjedu.slive.mapper.xz.XzKjMapper;
import com.xhkjedu.slive.model.xz.LXzKj;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.vo.ResultVo;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Description
 * @Author WN
 * Date 2022/3/30 15:26
 **/
@Service
public class XzKjService {
    @Resource
    private XzKjMapper xzKjMapper;

    /**
     * @Description 保存课节信息
     * @Param [xzKj]
     * @Return com.xhkjedu.vo.ResultVo
     * @Author wn
     * @Date 2022/3/30 16:19
     **/
    public ResultVo save(LXzKj xzKj) {
        Integer timestamp = N_Utils.getSecondTimestamp();
        List<LXzKj> kjlst = xzKj.getXzkjs();
        if (kjlst == null || kjlst.size() == 0) {
            return new ResultVo(1, "未设置课节信息");
        } else {
            for (int i = 0; i < kjlst.size(); i++) {
                LXzKj kj = kjlst.get(i);
                kj.setXzid(xzKj.getXzid());
                kj.setCreateid(xzKj.getCreateid());
                kj.setCreatetime(timestamp);
                kj.setKjorder(i + 1);
            }

            xzKjMapper.insertList(kjlst);
            //获取保存课节信息集合
            List<Map> rtnlst = xzKjMapper.listXzKjsByXzid(xzKj.getXzid());
            return new ResultVo(0, "保存成功", rtnlst);
        }
    }

    /**
     * @Description 修改行政直播课节信息
     * @Param [xzKjs]
     * @Return com.xhkjedu.vo.ResultVo
     * @Author wn
     * @Date 2022/3/30 21:51
     **/
    public ResultVo updateBatch(List<LXzKj> xzKjs) {
        for (int i = 0; i < xzKjs.size(); i++) {
            boolean rtn = false;
            LXzKj kj = xzKjs.get(i);
            if (kj.getKjid() == null || kj.getKjid() == 0) {
                rtn = true;
            }
            if (N_Utils.isEmpty(kj.getKjname()) || N_Utils.isEmpty(kj.getBegintime()) || N_Utils.isEmpty(kj.getEndtime())) {
                rtn = true;
            }
            if(rtn){
                return new ResultVo(1,"课节信息不完善");
            }
        }

        xzKjMapper.updateBatchXzKj(xzKjs);
        return new ResultVo(0,"修改课节信息成功");
    }
}
